# Get Project Details

## Get project details.

<mark style="color:blue;">`GET`</mark> `https://autogon.ai/api/v1/engine/project/{app_id}/`

Returns details for the specified project by it's App ID

#### Path Parameters

| Name                                      | Type   | Description                                |
| ----------------------------------------- | ------ | ------------------------------------------ |
| app\_id<mark style="color:red;">\*</mark> | string | The `app_id` of the current project (UUID) |

#### Headers

| Name                                        | Type   | Description    |
| ------------------------------------------- | ------ | -------------- |
| X-AUG-KEY<mark style="color:red;">\*</mark> | String | YOUR\_API\_KEY |

{% tabs %}
{% tab title="200: OK Project Details" %}

```javascript
{
    "id": 0,
    "app_id": "",
    "project_name": "",
    "project_description": "",
    "project_compiled_models": null,
    "updated_at": "",
    "created_at": ""
}
```

{% endtab %}

{% tab title="400: Bad Request Project Not Found" %}

```json
{
    "status": "false", 
    "message": "Project does not exist"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autogon.ai/other-apis/project/get-project-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
